<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Agency extends Model{
    
    protected $table = 'agency';
    
    protected $fillable = [
        'first_name','user_id','agency_id',
    ];
    
     public function status_context(){
        $status = $this->active_status;

        $context = '';
        switch ($status){
            case '0':
                $context = 'Active';
                break;
            case '1':
                $context = 'Blocked/Suspended';
                break;
            case '2':
                $context = 'Pending';
                break;
        }
        return $context;
    }
}